Skip to main content
POST
/
business
/
{business_id}
/
place_action_links
Set Place Action Links
curl --request POST \
  --url https://api.partoo.co/v2/business/{business_id}/place_action_links \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "place_action_links": [
    {
      "gmb_id": "SHOP_ONLINE",
      "urls": [
        {
          "value": "https://www.example.com/shop_online",
          "is_preferred": true
        },
        {
          "id": 2,
          "value": "https://www.example.com/shop_online2",
          "is_preferred": false
        }
      ]
    },
    {
      "gmb_id": "FOOD_TAKEOUT",
      "urls": [
        {
          "id": 3,
          "value": "https://www.example.com/food_takeout1",
          "is_preferred": false
        },
        {
          "id": 4,
          "value": "https://www.example.com/food_takeout2",
          "is_preferred": false
        },
        {
          "value": "https://www.example.com/food_takeout3",
          "is_preferred": false
        }
      ]
    },
    {
      "gmb_id": "ONLINE_APPOINTMENT",
      "urls": [
        {
          "value": "https://www.example.com/online_appointment",
          "is_preferred": true
        },
        {
          "id": 7,
          "value": "https://www.example.com/online_appointment2",
          "is_preferred": false
        }
      ]
    },
    {
      "gmb_id": "DINING_RESERVATION",
      "urls": [
        {
          "id": 8,
          "value": "https://www.example.com/dining_reservation1",
          "is_preferred": true
        },
        {
          "id": 9,
          "value": "https://www.example.com/dining_reservation2",
          "is_preferred": false
        }
      ]
    },
    {
      "gmb_id": "APPOINTMENT",
      "urls": [
        {
          "value": "https://www.example.com/appointment1",
          "is_preferred": true
        },
        {
          "id": 11,
          "value": "https://www.example.com/appointment2",
          "is_preferred": false
        }
      ]
    },
    {
      "gmb_id": "FOOD_ORDERING",
      "urls": [
        {
          "value": "https://www.example.com/food_ordering1",
          "is_preferred": true
        },
        {
          "id": 13,
          "value": "https://www.example.com/food_ordering2",
          "is_preferred": false
        }
      ]
    },
    {
      "gmb_id": "FOOD_DELIVERY",
      "urls": [
        {
          "id": 14,
          "value": "https://www.example.com/food_delivery1",
          "is_preferred": true
        },
        {
          "value": "https://www.example.com/food_delivery2",
          "is_preferred": false
        }
      ]
    }
  ]
}
'
import requests

url = "https://api.partoo.co/v2/business/{business_id}/place_action_links"

payload = { "place_action_links": [
{
"gmb_id": "SHOP_ONLINE",
"urls": [
{
"value": "https://www.example.com/shop_online",
"is_preferred": True
},
{
"id": 2,
"value": "https://www.example.com/shop_online2",
"is_preferred": False
}
]
},
{
"gmb_id": "FOOD_TAKEOUT",
"urls": [
{
"id": 3,
"value": "https://www.example.com/food_takeout1",
"is_preferred": False
},
{
"id": 4,
"value": "https://www.example.com/food_takeout2",
"is_preferred": False
},
{
"value": "https://www.example.com/food_takeout3",
"is_preferred": False
}
]
},
{
"gmb_id": "ONLINE_APPOINTMENT",
"urls": [
{
"value": "https://www.example.com/online_appointment",
"is_preferred": True
},
{
"id": 7,
"value": "https://www.example.com/online_appointment2",
"is_preferred": False
}
]
},
{
"gmb_id": "DINING_RESERVATION",
"urls": [
{
"id": 8,
"value": "https://www.example.com/dining_reservation1",
"is_preferred": True
},
{
"id": 9,
"value": "https://www.example.com/dining_reservation2",
"is_preferred": False
}
]
},
{
"gmb_id": "APPOINTMENT",
"urls": [
{
"value": "https://www.example.com/appointment1",
"is_preferred": True
},
{
"id": 11,
"value": "https://www.example.com/appointment2",
"is_preferred": False
}
]
},
{
"gmb_id": "FOOD_ORDERING",
"urls": [
{
"value": "https://www.example.com/food_ordering1",
"is_preferred": True
},
{
"id": 13,
"value": "https://www.example.com/food_ordering2",
"is_preferred": False
}
]
},
{
"gmb_id": "FOOD_DELIVERY",
"urls": [
{
"id": 14,
"value": "https://www.example.com/food_delivery1",
"is_preferred": True
},
{
"value": "https://www.example.com/food_delivery2",
"is_preferred": False
}
]
}
] }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
place_action_links: [
{
gmb_id: 'SHOP_ONLINE',
urls: [
{value: 'https://www.example.com/shop_online', is_preferred: true},
{id: 2, value: 'https://www.example.com/shop_online2', is_preferred: false}
]
},
{
gmb_id: 'FOOD_TAKEOUT',
urls: [
{id: 3, value: 'https://www.example.com/food_takeout1', is_preferred: false},
{id: 4, value: 'https://www.example.com/food_takeout2', is_preferred: false},
{value: 'https://www.example.com/food_takeout3', is_preferred: false}
]
},
{
gmb_id: 'ONLINE_APPOINTMENT',
urls: [
{value: 'https://www.example.com/online_appointment', is_preferred: true},
{
id: 7,
value: 'https://www.example.com/online_appointment2',
is_preferred: false
}
]
},
{
gmb_id: 'DINING_RESERVATION',
urls: [
{
id: 8,
value: 'https://www.example.com/dining_reservation1',
is_preferred: true
},
{
id: 9,
value: 'https://www.example.com/dining_reservation2',
is_preferred: false
}
]
},
{
gmb_id: 'APPOINTMENT',
urls: [
{value: 'https://www.example.com/appointment1', is_preferred: true},
{id: 11, value: 'https://www.example.com/appointment2', is_preferred: false}
]
},
{
gmb_id: 'FOOD_ORDERING',
urls: [
{value: 'https://www.example.com/food_ordering1', is_preferred: true},
{id: 13, value: 'https://www.example.com/food_ordering2', is_preferred: false}
]
},
{
gmb_id: 'FOOD_DELIVERY',
urls: [
{id: 14, value: 'https://www.example.com/food_delivery1', is_preferred: true},
{value: 'https://www.example.com/food_delivery2', is_preferred: false}
]
}
]
})
};

fetch('https://api.partoo.co/v2/business/{business_id}/place_action_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"errors": {
"json": {
"message": "following gmb_ids do not exist in place_action_links: ['SHOPIFY_ONLINE', 'JUST_TAKEOUT']"
}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

business_id
string
required

Business id.

It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.

Body

application/json

List of Business Place Action Links

Example:
[
{
"gmb_id": "SHOP_ONLINE",
"urls": [
{
"value": "https://www.example.com/shop_online",
"is_preferred": true
},
{
"id": 2,
"value": "https://www.example.com/shop_online2",
"is_preferred": false
}
]
},
{
"gmb_id": "FOOD_TAKEOUT",
"urls": [
{
"id": 3,
"value": "https://www.example.com/food_takeout1",
"is_preferred": false
},
{
"id": 4,
"value": "https://www.example.com/food_takeout2",
"is_preferred": false
},
{
"value": "https://www.example.com/food_takeout3",
"is_preferred": false
}
]
},
{
"gmb_id": "ONLINE_APPOINTMENT",
"urls": [
{
"value": "https://www.example.com/online_appointment",
"is_preferred": true
},
{
"id": 7,
"value": "https://www.example.com/online_appointment2",
"is_preferred": false
}
]
},
{
"gmb_id": "DINING_RESERVATION",
"urls": [
{
"id": 8,
"value": "https://www.example.com/dining_reservation1",
"is_preferred": true
},
{
"id": 9,
"value": "https://www.example.com/dining_reservation2",
"is_preferred": false
}
]
},
{
"gmb_id": "APPOINTMENT",
"urls": [
{
"value": "https://www.example.com/appointment1",
"is_preferred": true
},
{
"id": 11,
"value": "https://www.example.com/appointment2",
"is_preferred": false
}
]
},
{
"gmb_id": "FOOD_ORDERING",
"urls": [
{
"value": "https://www.example.com/food_ordering1",
"is_preferred": true
},
{
"id": 13,
"value": "https://www.example.com/food_ordering2",
"is_preferred": false
}
]
},
{
"gmb_id": "FOOD_DELIVERY",
"urls": [
{
"id": 14,
"value": "https://www.example.com/food_delivery1",
"is_preferred": true
},
{
"value": "https://www.example.com/food_delivery2",
"is_preferred": false
}
]
}
]

Response

OK

status
enum<string>

Request status

Available options:
success